Bug 245980 - net-im/telegram-desktop: update to 2.1.0
Summary: net-im/telegram-desktop: update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2020-04-27 17:53 UTC by Volodymyr Kostyrko
Modified: 2020-05-02 16:47 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (henry.hu.sh)


Attachments
patch to 2.1.0 (3.36 KB, patch)
2020-04-27 17:53 UTC, Volodymyr Kostyrko
no flags Details | Diff
Patch with ALSA and PulseAudio include paths (4.21 KB, patch)
2020-04-30 04:50 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2020-04-27 17:53:23 UTC
Created attachment 213866 [details]
patch to 2.1.0

Update to 2.1.0:


    Access a catalog of over 20,000 stickers made by professional artists from the updated Sticker Panel by clicking the '+' icon.
    Use sticker search to find the stickers you're looking for - or scroll from the latest packs all the way to the classics.
    Add explanations that appear after users respond to a quiz question.
    See how much time you have left to answer a question from @quizbot with the new countdown animation.
    Send a single 🎯 emoji to see if you hit the bullseye.
Comment 1 Henry Hu 2020-04-30 01:24:50 UTC
Does it build for you? Specifically, if you have alsa or pulseaudio installed, does it build?

Your change is correct; however, now we need to somehow introduce a -I/usr/local/include into it.
Comment 2 Henry Hu 2020-04-30 04:50:58 UTC
Created attachment 213933 [details]
Patch with ALSA and PulseAudio include paths

I've appended another patch to your patch, so it now adds include paths for ALSA and PulseAudio. It builds fine in poudriere now. Thanks for your patch!
Comment 3 Volodymyr Kostyrko 2020-04-30 14:34:17 UTC
Thank you. We have no PulseAudio here on Dragonfly but the patch worked for me with ALSA. In fact we are removing everything related to PulseAudio from the build with our local patches.
Comment 4 Henry Hu 2020-05-01 00:29:49 UTC
Comment on attachment 213933 [details]
Patch with ALSA and PulseAudio include paths

Okay, then let's commit this patch.
Comment 5 commit-hook freebsd_committer 2020-05-02 16:47:30 UTC
A commit references this bug:

Author: tz
Date: Sat May  2 16:46:55 UTC 2020
New revision: 533695
URL: https://svnweb.freebsd.org/changeset/ports/533695

Log:
  net-im/telegram-desktop: Update from 2.0.1 to 2.1.0

  Changelog:
      - Access a catalog of over 20,000 stickers made by professional artists from the updated Sticker Panel by clicking the '+' icon.
      - Use sticker search to find the stickers you're looking for - or scroll from the latest packs all the way to the classics.
      - Add explanations that appear after users respond to a quiz question.
      - See how much time you have left to answer a question from @quizbot with the new countdown animation.
      - Send a single ? emoji to see if you hit the bullseye.

  PR:		245980
  Submitted by:	Volodymyr Kostyrko <arcade@b1t.name>, Henry Hu <henry.hu.sh@gmail.com>

Changes:
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegram-desktop/distinfo
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_logs.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_cmake_lib__tgvoip.cmake
  head/net-im/telegram-desktop/files/patch-cmake_external_opus_CMakeLists.txt
Comment 6 Torsten Zuehlsdorff freebsd_committer 2020-05-02 16:47:59 UTC
Committed, thank you! :)